MINOVA DEMO - Feature #2053

[HR-BENEFIT-MEDICAL] Fitur untuk mengenerate medical plafon secara massal
03/07/2023 02:23 PM - Muhammad Bintar

Status:
Priority:
Assignee:
Category:

Target version:

Assigned
High

Muhammad Bintar

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/07/2023
03/10/2023
0%

0.00 hour
21.00 hours

Description

Dear tim developer dan tim functional mohon untuk memimplementasikan fitur generate medical plafon karena menu yang ada saat
ini hanya bisa untuk generate plafon untuk 1 employee saja dan di setiap client selalu mengeluhkan untuk generate plafon medical

ni.

beberapa client seperti LPPOM dan HINO.

EGHINO

MinovaES Menu

2 My Workplace / ESS

* = Human Resource
- HR Administration

3 Organization Ma...

3 Employee Admin...

3 Time Management

b Travel Managem...

* = Benefit Administ...

- Medical

Medical M...

Claim Stat...

Medical Cl...

) Import M...

+) Export Me...

B Medical R...
PLAFON MEDICAL CLAIM 2022 LPPOM MUI

HCM LPPOM MUI

o

[~ ClientSupport
~—

End Date: 311202022
Medical 1D:
= Medical Plafc
Generate Plafond Delete
Treatment Type MedicalFamily
1 Kacamata Yes
2 Bersalin Normal Yes
3 Bersalin Cesar Yes
4 Kuretasi/Keguguran Yes
5 Rawat inap fes

2 0 @€ B8 D

External

Plafond
1,200,000.00
9,000,000.00
14,000.000.00
5,000,000.00

0.00

Inbox x

Create By:

Create Date:

Change By:
Change Date:

Plafond Re... Plafond ...
1,200,000.00 0,00
0,000, 000.00 0,00
14,000,000.00 0,00
5,000,000.00 0,00
0,00 0,00

Assalamualaikum. ‘Wr. Wb Dear Tim Minova, Sehubungan dengan sudah bergantinya tahun dan ada perubahan perihal plafon medical daim LPPOM MUI, dengan ini kami mem

Dear Tim HCM, Berikut kami kirimkan panduan untuk mengisi plafon medical untuk tahun 2022 ini. Silakan untuk i coba... Demikian Informasi yang dapat kami sampa

HCM LPPOM MUI <humanresources@halalmui.org=

fome =
¥, Detect language ~

Dear Tim Minova,

> English = Translate message

Apakah proses generate dapat dilakukan secara massal? mengingat karyawan kami sudah banyak dan jika dilakukan satu per satu akan membutuhkan waktu.,

-

©

Tue, Jan 11, 2022, $:37AM

& Tue, Jan 11,2022, 9:53AM ¥

Jan 11, 2022, 11:21AM

& &

Turn off for: Indonesian x

From: Client Support <client.supportf®minovais.com>

Sent: Tuesday, January 11, 2022 09:53
To: HCM LPPOM MUI <humanresources@halalmui.org>
Subject: Re: PLAFON MEDICAL CLAIM 2022 LPPOM MUI

wee
History

#1 - 03/08/2023 09:13 AM - Kezia Pawitra Yulianti
- Due date changed from 03/13/2023 to 03/10/2023
- Status changed from New to Assigned

- Priority changed from Normal to High

dear Fio,

tolong untuk dibuatkan dulu ya

1. design menunya untuk generate medical plafond.

Bisa pakai referensi menu generate kuota cuti, karena hampir mirip.

2. Nanti setelah di buatkan design nya baru dibuatkan form dan setting field2 nya.

3. Jika sudah baru nanti kita buat redmine baru ke developer untuk dibuatkan fungsi generate nya

Untuk poin 1 dan 2, kalau diperlukan diskusi dulu silahkan aja ya

Thanks

#2 - 03/08/2023 05:25 PM - Fiona Avangeline Jonathan

- File clipboard-202303081717-b7dwn.png added

- File clipboard-202303081718-giwzo.png added

- File clipboard-202303081720-v9bhm.png added

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan
Mang Wanto,

Mohon dibantu untuk dibuatkan fungsi generate plafond secara massal. Untuk menu nya sudah dibuatkan dengan MenulD : GENMEDPLAF

M Organization Management

B Employee Administration

M Time Management

Medical Master Data
Claim Status
Medical Claim
Import Medical
Export Medical

Medical Report

Berikut adalah design Ul untuk generate medical plafond nya
= MyWorpisos  Fimancial Accounting  Human Rsource  Logichio & Servics  Susimect infsiigence  Eyctam Adminicirabon Q  Help 2’""”“‘
Generate Medical Plafond
& My Workplace e
W Financial Accounting
@ Human Resource Generate Medical Plafond
M Logistic & Service .
Medical Master Data
@ Business Intelligence .
= System Administration Start Date: | ‘ '
End Date: | ‘ i
Treatment Type:
Employee Filter
Employee Type: Employee ID
From:
Employee Sub Type:
Employee 1D To:
Payroll Grade From:
Payroll Grade To:
Result
StartDate EndDate EmployeelD FullName Tr Type ity Plafond Plafond Remain Plafond Used
No Data Display
Untuk tabel tampungan sudah dibuatkan
+-PBSBMGENMEDPRLAE
2. PDSBMGENMEDPLAFFILTER
3. PDSBMMEDPLAFRES
Untuk fungsi generate plafond nya bisa mengambil dari Generate Plafond di Medical Master Data
= MyWorkplace  Financial Accounting  Human Resource  Logistic & Service  Business Intelligence  System Administration Search... Q. Help 2""" oo

Medical Master Data

I My Workplaca WE = ME ATA

s Financial Accounting

Maintain Medical Master Data - 10000148 - ERICSSON

O (e e Employee 1D: 10000148 Company ID: MINOVAIS |
O Bomin e Full Name: ERICSSON Employee Office: Minova (Jakarta)
[ Employee Status: Active Organization: Product Improvement
Employee Type Tetap Fosition: Product Impravement
Add - Medical Maintenance - 10000148 - ERICSSON
Start Date: I | Create By
End Date: 1/12/9999 Create Date:
Claim Status
Medical ID: Change By:
Medical Claim
kmport Madical MNotes: Change Date:
Export Medical
Medical Report
Generate Medical Plafond
Traval Manegament ~ Medical Plafond
Payroll Administration
Payroll Accounting lafond || Detete
Recruitment Management
Budgeting TreatmentType  MedicalFamily  Plaf.. Plafond Re... Plafond U...
No Data Display

Port: http://demo.minovais.com:61124/

Terima kasih.

#3 - 03/21/2023 01:52 PM - Fiona Avangeline Jonathan
- Project changed from MINOVAES - PRODUCT to MINOVA DEMO

#4 - 04/04/2023 03:41 PM - Saswanto Tampan
- File MinovalS.MinovaES.Business.BN.dll added
http://demo.minovais.com:61124/

- File MinovalS.MinovaES.Business.BN.pdb added

Perbaikan DLL PADA FOLDER BIN
API2 = MinovalS.MinovaES.Business.BN.dlII

PENAMBAHAN SETING PADA TABEL SMENU
GENMEDPLAF BNM 7 ES 0 0 0 /Page/mdmedicalbulk 1 Medical Generate Plafond minovais 20160606111819
minovais 20160728112024 NULL 0

CREATE STORE PROCEDURE = [dbo].[GenerateMedPlafMass]

PENAMBAHAN SETING PADA TABLE PCMWFCUSTPARAM=

GenerateMedPlafMass NULL NULL NULL NULL NULL NULL EXEC [dbo].[GenerateMedPlafMass]
@issimulate,@CreateBy,@ChangeBy,@startdate,@enddate, @paygradestart,@paygradeend, @empstart, @empend,@emptype,@empsubtype
sqlstring NULL

PENAMBAHAN PAGE

...UN\Pages\mdmedicalbulk. HTML
...UNPages\mdmedicalbulk.js
...\UNapp\view\masterdata\medical\mdmedicalbulk.js
...\UNapp\controller\masterdata\medical\ctrimdmedicalbulk.js

#5 - 04/05/2023 01:21 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

#6 - 04/05/2023 02:39 PM - Fiona Avangeline Jonathan
- File Generate Medical Plafond Massal.xIsx added

Setting

#7 - 04/05/2023 04:42 PM - Fiona Avangeline Jonathan

- File clipboard-202304051639-ackoq.png added

- File clipboard-202304051640-8fjz5.png added

- File clipboard-202304051640-13afz.png added

- Status changed from QA Test to Assigned

- Assignee changed from Fiona Avangeline Jonathan to Muhammad Bintar
Done, terima kasih.

Cara Penggunaan:

1. Mengisi filter

2. Klik tombol "Simulate Generate Plafond"
3. Klik save - data baru akan masuk ke PHRPA0040 dan PHRPA0041 ketika klik tombol save.
+ Save successfull

Generate Medical Plafond

Mass Generate Medical Plafond

Stant Date: Pop— Payroll Grade From:
£ Dase: Sy Payrell Crade To
Emplovee Tops: E;ro.u]:llt.v}'eam P
Ewploves 1D To: o
# Medical Plafond
Emplees ID  Starus
1/ 10000148 Sukses Generate
2| 1000019 Sukses Gemerate
Save
StartDate EndDate EmployeelD HeaderSeqguen... Maotes CreateBy CreateDate ChangeBy ChangeDate
20231231 10000148 1 System Mass 10000148 20230405160405 10000148 20230405160405
| 20230101 20231231 10000143 1 System Mass 10000148 20230405160405 10000143 20230405160405
i i i A i A A i i
EmployeelD HeaderSequen... Sequence TreatmentType Plafond PlafondRemain  PlafondUsed MedicalFamily Ui
1 1 M 30000000,00 30000000,00 0,00 0001
10000142 1 2 02 2500000,00 2500000,00 0,00 000
. 10000142 1 3 03 3500000,00 3500000,00 0,00 0001
10000148 1 4 04 10000000,00 10000000,00 0,00 0001
10000148 1 5 05 1500000,00 1500000,00 0,00 000
10000148 1 6 06 200000,00 200000,00 0,00 000
. 10000149 1 1 il 30000000,00 30000000,00 0,00 0001
10000149 1 2 02 2500000,00 2500000,00 0,00 000
10000149 1 3 03 3500000,00 3500000,00 0,00 0001
10000143 1 4 04 10000000,00 10000000,00 0,00 0001
- 10000149 1 5 05 1500000,00 1500000,00 0,00 0001
10000149 1 & 06 200000,00 200000,00 0,00 000
NULL NULL MNULL NULL NULL MNULL NULL NULL MNULL
Mas Bin, tolong dibantu untuk deploy ke client yang membutuhkan.
#8 - 12/27/2023 02:58 PM - Muhammad Bintar
- File package deploy Medical.zip added
package deploy nya :
Files
clipboard-202303071421-9trdb.png 85.4 KB 03/07/2023 Muhammad Bintar
clipboard-202303071422-jxe4y.png 71.9 KB 03/07/2023 Muhammad Bintar
clipboard-202303081717-b7dwn.png 13.3 KB 03/08/2023 Fiona Avangeline Jonathan
clipboard-202303081718-giwzo.png 249 KB 03/08/2023 Fiona Avangeline Jonathan
clipboard-202303081720-v9bhm.png 109 KB 03/08/2023 Fiona Avangeline Jonathan
MinovalS.MinovaES.Business.BN.dII 64.5 KB 04/04/2023 Saswanto Tampan
MinovalS.MinovaES.Business.BN.pdb 110 KB 04/04/2023 Saswanto Tampan
Generate Medical Plafond Massal.xIsx 13.2 KB 04/05/2023 Fiona Avangeline Jonathan
clipboard-202304051639-ackoq.png 39.4 KB 04/05/2023 Fiona Avangeline Jonathan
clipboard-202304051640-8fjz5.png 7.45 KB 04/05/2023 Fiona Avangeline Jonathan
clipboard-202304051640-13afz.png 15.1 KB 04/05/2023 Fiona Avangeline Jonathan
package deploy Medical.zip 61.5 KB 12/27/2023 Muhammad Bintar
